weka.classifiers.functions.explicitboundaries.models

## Class MajorityPlaneBoundaryModel

- java.lang.Object
- - weka.classifiers.functions.explicitboundaries.models.MajorityPlaneBoundaryModel

- All Implemented Interfaces:
    Serializable, weka.core.Debuggable

      public class MajorityPlaneBoundaryModel
      extends Object
      implements Serializable, weka.core.Debuggable

  Author:
    pawel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MajorityPlaneBoundaryModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildDefaultModelPlane(weka.core.Instances dataset)` Builds a default decision boundary if there are instances belonging to only one class.
    `DecisionBoundaryPlane` | `getPlaneModel()`
    `boolean` | `isDebug()`
    `boolean` | `isUseDefault()`
    `void` | `setDebug(boolean debug)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MajorityPlaneBoundaryModel

          public MajorityPlaneBoundaryModel()

  - ### Method Detail

    - #### buildDefaultModelPlane

          public void buildDefaultModelPlane(weka.core.Instances dataset)
                                      throws Exception

      Builds a default decision boundary if there are instances belonging to only one class.
      Parameters:
        `dataset` -
      Throws:
        `Exception`

    - #### getPlaneModel

          public DecisionBoundaryPlane getPlaneModel()

      Returns:
        the planeModel

    - #### isUseDefault

          public boolean isUseDefault()

      Returns:
        the useDefault

    - #### isDebug

          public boolean isDebug()

      Specified by:
        `isDebug` in interface `weka.core.Debuggable`
      Returns:
        the debug

    - #### setDebug

          public void setDebug(boolean debug)

      Specified by:
        `setDebug` in interface `weka.core.Debuggable`
      Parameters:
        `debug` - the debug to set

Copyright © 2019. All Rights Reserved.